/*
 * Svjatoslav Commons - shared library of common functionality. Author: Svjatoslav Agejenko.
 * This project is released under Creative Commons Zero (CC0) license.
 */
package eu.svjatoslav.commons.commandline.parameterparser.parameter;

import eu.svjatoslav.commons.commandline.parameterparser.ArgumentCount;
import eu.svjatoslav.commons.commandline.parameterparser.Parameter;

public class NullParameter extends Parameter<Boolean, NullParameter> {

    public NullParameter(final String description) {
        super(description, ArgumentCount.NONE);
    }

    @Override
    public java.lang.String describeFormat() {
        return "<none>";
    }

    @Override
    public Boolean getValue() {
        return isSpecified();
    }

    @Override
    public boolean validate(final java.lang.String value) {
        return true;
    }

}
