/*
 * Svjatoslav Commons - shared library of common functionality. Author: Svjatoslav Agejenko.
 * This project is released under Creative Commons Zero (CC0) license.
 */
package eu.svjatoslav.commons.commandline.parameterparser.parameter;

import eu.svjatoslav.commons.commandline.parameterparser.ArgumentCount;
import eu.svjatoslav.commons.commandline.parameterparser.Parameter;

import java.util.List;

public class StringParameters extends Parameter<List<String>, StringParameters> {

    public StringParameters(final String description) {
        super(description, ArgumentCount.MULTI);
    }

    @Override
    public java.lang.String describeFormat() {
        return "one to many strings";
    }

    @Override
    public List<String> getValue() {
        return arguments;
    }

    @Override
    public boolean validate(final java.lang.String value) {
        return true;
    }

}
