/*
 * Svjatoslav Commons - shared library of common functionality. Author: Svjatoslav Agejenko.
 * This project is released under Creative Commons Zero (CC0) license.
 */
package eu.svjatoslav.commons.data;

import java.io.DataOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.util.List;

public class EnhancedDataOutputStream extends DataOutputStream {

    public EnhancedDataOutputStream(final OutputStream out) {
        super(out);
    }

    public void writeIntegerList(final List<Integer> list) throws IOException {
        writeInt(list.size());

        for (final Integer integer : list)
            writeInt(integer);
    }

    public void writeString(final String string) throws IOException {
        if (string == null) {
            writeInt(-1);
            return;
        }

        final byte[] bytes = string.getBytes("UTF-8");

        writeInt(bytes.length);
        write(bytes);
    }

}
