/*
 * Svjatoslav Commons - shared library of common functionality. Author: Svjatoslav Agejenko.
 * This project is released under Creative Commons Zero (CC0) license.
 */
package eu.svjatoslav.commons.data;

public class HexConverter {

    static final String hexCharacters = "0123456789ABCDEF";

    public static String byteArrayToHex(final byte[] bytes) {

        if (bytes == null)
            return null;

        final StringBuilder result = new StringBuilder(2 * bytes.length);

        for (final byte b : bytes)
            result.append(hexCharacters.charAt((b & 0xF0) >> 4)).append(
                    hexCharacters.charAt((b & 0x0F)));

        return result.toString();
    }

}
