/*
 * Svjatoslav Commons - shared library of common functionality. Author: Svjatoslav Agejenko.
 * This project is released under Creative Commons Zero (CC0) license.
 */
package eu.svjatoslav.commons.file;

import org.junit.Assert;
import org.junit.Test;

import java.io.File;
import java.io.IOException;

public class IOHelperTest {

    public static final String UTF_8 = "UTF-8";

    @Test
    public void testOverwriteFileIfContentDiffers() throws IOException {
        final File file = new File("overrideTest.txt");

        Assert.assertTrue(IOHelper.overwriteFileIfContentDiffers(file,
                "aoa".getBytes(UTF_8)));

        Assert.assertFalse(IOHelper.overwriteFileIfContentDiffers(file,
                "aoa".getBytes(UTF_8)));

        Assert.assertTrue(IOHelper.overwriteFileIfContentDiffers(file,
                "1234".getBytes(UTF_8)));

        file.delete();
    }

}
