/*
 * Svjatoslav Commons - shared library of common functionality. Author: Svjatoslav Agejenko.
 * This project is released under Creative Commons Zero (CC0) license.
 */
package eu.svjatoslav.commons.string;

import org.junit.Test;

import static org.junit.Assert.fail;

public class GlobMatcherTest {


    private static void testWildcard(final String string, final String pattern,
                                     final boolean expectedResult) {

        final boolean result = GlobMatcher.match(string, pattern);

        if (result != expectedResult)
            fail("Wildcard match failed.");

    }

    @Test
    public void test() {

        testWildcard("IMG_9770.JPG", "*.J*", true);
        testWildcard("1", "1", true);
        testWildcard("1", "*", true);
        testWildcard("f", "1", false);
        testWildcard("Hello !", "Hell*!***", true);
        testWildcard("Hello !", "Hell*!", true);
        testWildcard("Hello !", "Hell*", true);
        testWildcard("Hello !", "Hell", false);
        testWildcard("Hello !", "* *", true);

    }

}
