package eu.svjatoslav.commons.string.tokenizer;

import org.junit.Test;

import static org.junit.Assert.assertFalse;
import static org.junit.Assert.assertTrue;

public class TerminatorTest {

    @Test
    public void testMatches() {
        Terminator terminator = new Terminator(
                Terminator.TerminationStrategy.PRESERVE,
                "/\\*.+\\*/",
                "test");

        // must find
        assertTrue(terminator.match("/* bla bla bla */", 0).find());

        // must not find
        assertFalse(terminator.match("/* bla bla bla */", 1).find());

        // must not overflow
        assertFalse(terminator.match("/", 0).find());
    }

}